Skip to main content
POST
/
v1
/
verify
curl --request POST \
  --url https://api.mailrify.com/v1/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "[email protected]"
}
'
{
  "success": true,
  "data": {
    "email": "[email protected]",
    "valid": true,
    "isDisposable": false,
    "isAlias": false,
    "isTypo": false,
    "isPlusAddressed": false,
    "isRandomInput": false,
    "isPersonalEmail": true,
    "domainExists": true,
    "hasWebsite": true,
    "hasMxRecords": true,
    "reasons": [
      "Email appears to be valid"
    ]
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Body

application/json
email
string<email>
required

Email address to verify

Response

Email verification completed successfully

success
boolean

Always true for successful requests

data
object